Как получить последнюю версию GIMP?

51

Я понимаю, что есть новая версия GIMP, хотя кажется, что единственный способ сделать это - собрать из источника: P

Есть ли другой способ получить его, или если я должен скомпилировать, могу ли я сделать это через терминал или еще лучше; графический интерфейс?

    
задан JASAXBY 08.05.2012 в 22:03
источник

7 ответов

83

Ubuntu 12.04

Вы можете сделать это через терминал:

  1. Удалить GIMP

    sudo apt-get autoremove gimp gimp-plugin-registry
    
  2. Добавьте следующий PPA

    sudo add-apt-repository ppa:otto-kesselgulasch/gimp
    sudo apt-get update
    
  3. Установите последнюю версию GIMP

    sudo apt-get install gimp
    
ответ дан Bastian Gruber 08.05.2012 в 22:08
источник
11

версии Ubuntu до 12.04

В настоящее время нет способа установить Gimp 2.8 на любую версию ниже 12.04.

В терминах возможно ли это ...

Вряд ли по следующей причине:

Зависимости последних версий Gimp требуют много последних базовых библиотек, которые вы не найдете по умолчанию в любой версии ниже 12.04. Таким образом, вам нужно будет перекомпилировать и переписать часть кода, чтобы его можно было компилировать. Чем дальше вы получаете от 12.04, тем больше требуется изменение.

Составитель пакета Gimp (ppa: matthaeus123 / mrw-gimp-svn) упоминает в описании, что ему нужен последний Gnome-3 PPA , а также некоторые другие библиотеки тестирования . Оба они не будут установлены в средах gnome-2 (ниже 11.10). Рассматривая списки зависимостей для версии Gimp 12.04, они также недоступны в 11.10.

Будет ли он доступен в PPA для версий ниже 12.04? Вероятно, его можно с уверенностью сказать маловероятным , если у вас нет предприимчивого разработчика, который хочет его перенести.

До тех пор UbuntuForums имеет интересный поток о том, как скомпилировать исходный код.

Таким образом - если вы определенно хотите Gimp 2.8 - посмотрите на установку 12.04 + один из множества настольных сред.

    
ответ дан fossfreedom 05.05.2012 в 14:27
7

Fortunatelly доступность стабильного GIMP 2.8 также сделала плагин gimp plugin (со знаменитым сохранением для веб-плагина), который легко установить.

Через Ссылка :

Устойчивая установка GIMP 2.8

Если вы обновляетесь с более старой версии GIMP, перейдите по ссылке и обратите внимание на команду «dist-upgrade» Ссылка (также если вы хотите вернуться к GIMP 2.6.x)

Если вы просто устанавливаете GIMP в первый раз при установке текущей системы:

sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt-get update
sudo apt-get install gimp

Реестр подключаемых модулей GIMP для установки GIMP 2.8

Ссылка

sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt-get update
sudo apt-get install gimp-plugin-registry
    
ответ дан Bucic 30.05.2012 в 21:00
2

Чтобы получить GIMP 2.8 на Lucid 10.04.4, посмотрите:

Ссылка

    
ответ дан AC2 18.05.2012 в 09:47
2

Поддерживаем этот проект.

Ссылка

Я могу загрузить gimp2.9 и открыть файл, отвергнутый более ранней версией Gimp. И я все еще использую ubuntu 10.04 Lucid.

Это действительно сломанный случай с системами Linux, потому что вам нужно обновить всю систему, чтобы иметь возможность запускать последние приложения. Я надеюсь, что это скоро будет решено, и я надеюсь, что мы поддерживаем проекты, подобные вышеупомянутым.

Я доволен своим ubuntu 10.04 и у меня есть множество конфигураций здесь, а файлы разработки ... могут до 2016 года обновиться до уровня lol!

    
ответ дан nbjayme 24.02.2014 в 07:38
1

Ubuntu 16.10

apt install gimp

Довольно легко.

    
ответ дан Azuaron 07.04.2017 в 14:59
0

Ubuntu 16.10

В Ubuntu 16.10 вы можете легко установить его с терминала с помощью следующей команды:

sudo apt install gimp

Чтобы обновить существующую установку gimp, запустите в терминале следующую команду:

sudo apt update && apt upgrade -y

Если вы хотите удалить gimp, но сохраните настройки (если вы планируете переустановить какое-то другое время, например), запустите в терминале следующую команду:

sudo apt remove gimp

Если вы хотите удалить gimp и удалить настройки, запустите в терминале следующую команду:

sudo apt purge gimp     

ответ дан Ken 07.04.2017 в 16:25